curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/students/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"user": {
"sourcedId": "<string>",
"status": "active",
"enabledUser": "true",
"givenName": "<string>",
"familyName": "<string>",
"roles": [],
"agents": [],
"userProfiles": [],
"email": "jsmith@example.com",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"userMasterIdentifier": "<string>",
"username": "<string>",
"userIds": [
{
"type": "<string>",
"identifier": "<string>"
}
],
"middleName": "<string>",
"primaryOrg": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>",
"name": "<string>"
},
"identifier": "<string>",
"preferredFirstName": "<string>",
"preferredMiddleName": "<string>",
"preferredLastName": "<string>",
"pronouns": "<string>",
"grades": [
"3"
],
"password": "<string>",
"sms": "<string>",
"phone": "<string>",
"demographics": {
"sourcedId": "<string>",
"status": "active",
"birthDate": "<string>",
"sex": "male",
"americanIndianOrAlaskaNative": "<string>",
"asian": "<string>",
"blackOrAfricanAmerican": "<string>",
"nativeHawaiianOrOtherPacificIslander": "<string>",
"white": "<string>",
"demographicRaceTwoOrMoreRaces": "<string>",
"hispanicOrLatinoEthnicity": "<string>",
"countryOfBirthCode": "<string>",
"stateOfBirthAbbreviation": "<string>",
"cityOfBirth": "<string>",
"publicSchoolResidenceStatus": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {}
}
}
}To get a specific Student on the service provider. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Student not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/students/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"user": {
"sourcedId": "<string>",
"status": "active",
"enabledUser": "true",
"givenName": "<string>",
"familyName": "<string>",
"roles": [],
"agents": [],
"userProfiles": [],
"email": "jsmith@example.com",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"userMasterIdentifier": "<string>",
"username": "<string>",
"userIds": [
{
"type": "<string>",
"identifier": "<string>"
}
],
"middleName": "<string>",
"primaryOrg": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>",
"name": "<string>"
},
"identifier": "<string>",
"preferredFirstName": "<string>",
"preferredMiddleName": "<string>",
"preferredLastName": "<string>",
"pronouns": "<string>",
"grades": [
"3"
],
"password": "<string>",
"sms": "<string>",
"phone": "<string>",
"demographics": {
"sourcedId": "<string>",
"status": "active",
"birthDate": "<string>",
"sex": "male",
"americanIndianOrAlaskaNative": "<string>",
"asian": "<string>",
"blackOrAfricanAmerican": "<string>",
"nativeHawaiianOrOtherPacificIslander": "<string>",
"white": "<string>",
"demographicRaceTwoOrMoreRaces": "<string>",
"hispanicOrLatinoEthnicity": "<string>",
"countryOfBirthCode": "<string>",
"stateOfBirthAbbreviation": "<string>",
"cityOfBirth": "<string>",
"publicSchoolResidenceStatus": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {}
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the student
Comma-separated list of fields to include in the response
"sourcedId,name"
Successful response with the student
Represents a user of the system. Can be a student, teacher, guide, parent etc.
Show child attributes